## The Typically High Cost of Assistive Technology

Most companies which develop and market sophisticated assistive technologies, such as screen reading software, are based in developed countries where they depend largely on government purchases to sustain their work. As a result, their business model is not optimized for affordability, as tends to be the case with any corporation that sells primarily to governments. As an example, the cost for [Jaws for Windows](https://www.freedomscientific.com/Products/Blindness/JAWS), a screen reader which is quite popular among wealthy governments, is about US$2000 per license.

In addition, there are other factors, such as the high complexity of some of these technologies, the high level of specialization required of developers, and the high marketing and distribution costs for assistive technologies. High marketing costs are particularly the case among the blind, who tend to be widely dispersed geographically, as well as in all social classes, ethnicities, nationalities, and age groups.

In addition, the cost of hardware products for the blind also tends to be very high, relative to their features and overall technical characteristics. The reason for this seems to be that, in addition to reduced competition due to the small market size, custom-made hardware is always more expensive when its production volumes are smaller than those reached by mainstream products. This is the case, because even though persons with disabilities are an estimated 10 to 15 percent of the overall population, within that group there is great diversity. For example, persons who are blind are estimated to be only about [two to three percent of the overall population in the United States](http://www.disabilitystatistics.org/reports/acs.cfm?statistic=1).

Finally, cost is a relative concept, as it depends greatly on the income level of the potential customer. In this regard assistive technology tends to be very expensive given that the prevalence of poverty, i.e. the [percentage of visually impaired persons living below the poverty line in the United States is roughly one third](http://www.disabilitystatistics.org/reports/acs.cfm?statistic=7). World-wide the problem persists, with [persons with disabilities being the poorest among the poor](https://siteresources.worldbank.org/SOCIALPROTECTION/Resources/SP-Discussion-papers/Disability-DP/1109.pdf).

